# $Revision: 1.11 $, $Date: 2004/05/06 18:20:41 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Math
%define		pnam	LinearCombination
Summary:	Math::LinearCombination - sum of variables with a numerical coefficient
Summary(pl):	Math::LinearCombination - suma zmiennych ze wspczynnikami liczbowymi
Name:		perl-Math-LinearCombination
Version:	0.03
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8a8b0e49dda41f288cbb8f1d384209f9
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Math-SimpleVariable >= 0.03
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	perl-Math-SimpleVariable >= 0.03
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Math::LinearCombination is a module for representing mathematical
linear combinations of variables, i.e. expressions of the format

  a1 * x1 + a2 * x2 + ... + an * xn

with x1, x2, ..., xn variables, and a1, a2, ..., an numerical
coefficients. Evaluation and manipulation of linear combinations is
also supported. The numerical coefficients a_i and variables x_i are
stored as pairs in an internal data structure and should not be
manipulated directly. All access and manipulation should be performed
through the methods.

%description -l pl
Math::LinearCombination to modu sucy do reprezentowania
matematycznych kombinacji liniowych zmiennych, czyli wyrae w postaci

  a1 * x1 + a2 * x2 + ... + an * xn

gdzie x1, x2, ... xn to zmienne, a a1, a2, ... an to liczbowe
wspczynniki. Obsugiwane jest take obliczanie wartoci i
manipulowanie kombinacjami liniowymi. Wspczynniki liczbowe a_i oraz
zmienne x_i s zapisywane jako pary w wewntrznej strukturze danych i
nie powinny by modyfikowane ani odczytywane bezporednio, lecz przez
udostpnione metody.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Math/LinearCombination.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Math-LinearCombination.spec,v $
Revision 1.11  2004/05/06 18:20:41  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/23 18:04:23  ankry
- license fixes, unification

Revision 1.9  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.8  2003/08/18 08:09:00  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:49  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:21:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/25 00:41:01  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:36:45  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/12/07 22:59:14  qboosh
- new

